#!/bin/bash
# ┌──────────────────────────────────────────────────────────┐
# │ Author: Bruno.Tosta                                      │
# │ Desc: Verifica MTU                                       │
# └──────────────────────────────────────────────────── 1.0 ─┘
IP_DESTINO="$1"

# Set initial packet size
PACOTE_TAMANHO=1200

# Loop to find the maximum MTU size
while true; do
  ping -4 -M do -c 1 -s $PACOTE_TAMANHO $IP_DESTINO &> '/dev/null'
  if [ $? -ne 0 ]; then
    echo "Maximum MTU size: $((PACOTE_TAMANHO + 28 - 2))"
    break
  fi
  PACOTE_TAMANHO=$((PACOTE_TAMANHO + 2))
done
